> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Auto Schedule

> Delete an auto schedule by its title, or the default schedule if no title is given, and optionally reset the schedule's starting point to the current time.

Delete a particular auto schedule. Provide the title of the schedule or "default" is used.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## Body Parameters

**title** `string` (default: default)

The title of the schedule to delete.

This should match a schedule title that was previously created using the [Set Auto Schedule endpoint](https://www.ayrshare.com/docs/apis/auto-schedule/set-schedule.md).
If no title is provided, the system will attempt to delete the "default" schedule.

**deleteLastScheduleDate** `boolean` (default: false)

Reset the schedule's starting point to the current time.

When set to `true`, this will clear the last used schedule date, causing any new posts to be scheduled starting from the current time.
Any posts that were already scheduled will remain unchanged and publish at their original times.

```javascript cURL theme={"system"}
curl \
-H "Authorization: Bearer API Key" \
-H 'Content-Type: application/json' \
-d '{"title": "Schedule Title"}' \
-X DELETE https://api.ayrshare.com/api/auto-schedule/delete
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";
const title = "Schedule Title";

fetch("https://api.ayrshare.com/api/auto-schedule/delete", {
        method: "DELETE",
        headers: {
            "Content-Type": "application/json",
            "Authorization": `Bearer ${API_KEY}`
        },
        body: JSON.stringify({ title }),
    })
        .then((res) => res.json())
        .then((json) => console.log(json))
        .catch(console.error);
```

```python Python theme={"system"}
import requests

payload = {'title': 'Schedule Title'}
headers = {'Content-Type': 'application/json',
        'Authorization': 'Bearer API_KEY'}

r = requests.delete('https://api.ayrshare.com/api/auto-schedule/delete',
    json=payload,
    headers=headers)

print(r.json())
```

```php PHP theme={"system"}
<?php

$API_KEY = "API_KEY";
$title = "Schedule Title";

$data = [
    'title' => $title
];

$ch = curl_init();

curl_setopt_array($ch, [
    CURLOPT_URL => "https://api.ayrshare.com/api/auto-schedule/delete",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => "DELETE",  // Set the request method to DELETE
    CURLOPT_POSTFIELDS => json_encode($data),
    CURLOPT_HTTPHEADER => [
        "Content-Type: application/json",
        "Authorization: Bearer " . $API_KEY
    ]
]);

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo 'Error: ' . curl_error($ch);
} else {
    $json = json_decode($response, true);
    print_r($json);
}

curl_close($ch);
```

```csharp C# theme={"system"}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace AutoScheduleDELETERequest_csharp
{
   class AutoScheduleDELETE
   {
       private static readonly HttpClient client = new HttpClient();
       
       static async Task Main(string[] args)
       {
           string API_KEY = "API_KEY";
           string url = "https://api.ayrshare.com/api/auto-schedule/delete";

           client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);

           string json = "{\"title\": \"Schedule Title\"}";

           try
           {
               var request = new HttpRequestMessage
               {
                   Method = HttpMethod.Delete,
                   RequestUri = new Uri(url),
                   Content = new StringContent(json, Encoding.UTF8, "application/json")
               };

               HttpResponseMessage response = await client.SendAsync(request);
               response.EnsureSuccessStatusCode();
               string responseBody = await response.Content.ReadAsStringAsync();
               Console.WriteLine(responseBody);
           }
           catch (HttpRequestException e)
           {
               Console.WriteLine($"Error: {e.Message}");
           }
       }
   }
}
```

```javascript 200: Success theme={"system"}
{
    status: "success",
    title: "Schedule Title"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.